import { Entities } from './entities';
import { User, UserData } from './user';
export declare class Status {
    retweet?: Status;
    private _data;
    private _user;
    constructor(parent: StatusData);
    readonly id_str: string;
    readonly user: User;
    readonly url: string;
    readonly hasMedia: boolean;
    readonly mediaUrl: string;
    readonly text: string;
    readonly entities: Entities;
    readonly createdAt: Date;
    readonly relativeCreatedAt: string;
    readonly replyUrl: string;
    readonly retweetUrl: string;
    readonly likeUrl: string;
    private relativeDate;
    private shortForm;
}
export interface StatusData {
    contributors: null;
    coordinates: null;
    created_at: string;
    display_text_range: number[];
    entities: Entities;
    favorite_count: number;
    favorited: boolean;
    full_text: string;
    geo: null;
    id_str: string;
    id: number;
    in_reply_to_screen_name: string | null;
    in_reply_to_status_id_str: string | null;
    in_reply_to_status_id: number | null;
    in_reply_to_user_id_str: string | null;
    in_reply_to_user_id: number | null;
    is_quote_status: boolean;
    lang: string;
    place: null;
    possibly_sensitive_appealable: boolean;
    possibly_sensitive: boolean;
    retweet_count: number;
    retweeted: boolean;
    source: string;
    truncated: boolean;
    user: UserData;
    retweeted_status?: StatusData;
}
